---
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    controller-gen.kubebuilder.io/version: v0.12.0
  name: dhcpconfigs.network.kanod.io
spec:
  group: network.kanod.io
  names:
    kind: DhcpConfig
    listKind: DhcpConfigList
    plural: dhcpconfigs
    singular: dhcpconfig
  scope: Namespaced
  versions:
  - name: v1alpha1
    schema:
      openAPIV3Schema:
        description: DhcpConfig is the Schema for the dhcpconfigs API
        properties:
          apiVersion:
            description: 'APIVersion defines the versioned schema of this representation
              of an object. Servers should convert recognized schemas to the latest
              internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources'
            type: string
          kind:
            description: 'Kind is a string value representing the REST resource this
              object represents. Servers may infer this from the endpoint the client
              submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds'
            type: string
          metadata:
            type: object
          spec:
            description: DhcpConfigSpec defines the desired state of DhcpConfig
            properties:
              dnsServers:
                description: List of DNS server addresses advertised by DHCP server
                items:
                  type: string
                type: array
              gateway:
                description: Gateway address advertised by DHCP server
                type: string
              ipPool:
                description: IPPool to generate or omit if not used
                type: string
              pools:
                description: Pools used in that subnet
                items:
                  description: Pool define a pool of available addresses within a
                    subnet.
                  properties:
                    end:
                      description: Range end for address allocation (single range)
                      type: string
                    start:
                      description: Range start for address allocation (single range)
                      type: string
                  type: object
                type: array
              prefix:
                description: Mask size
                type: integer
              pxe:
                description: Whether PXE boot is enabled on the network
                type: boolean
              subnet:
                description: Prefix of the network
                type: string
            required:
            - subnet
            type: object
          status:
            description: DhcpConfigStatus defines the observed state of DhcpConfig
            properties:
              dhcpServerIp:
                type: string
              subnetId:
                description: Kea id of the subnet.
                type: integer
            type: object
        type: object
    served: true
    storage: true
    subresources:
      status: {}
